Windows

General discussion

Installing unsupported version on Mac

By rennnyglutenbyrg ·
Tags: Mac
Hi all,

I use a mid 2015 15 inch mbp for basic video editing and software development.

I see the oldest Mac that can run Mac OS is this version so I worry the next update will no longer support my Mac.

What is the best way to install newer versions of Mac OS on this system when they come out? I heard about Open core and clover, are they still good?

Many thanks :)
Thread display: Collapse - | Expand +

All Comments

Collapse -

Need more information

by birdmantd Moderator In reply to Installing unsupported ve ...

What model Mac ? What is the current OS? What is the OS version you want to install ?

I see potential issues/system conflicts by installing an unsupported OS version. Have you ever done so with the same Mac or an older Mac ?

Collapse -

There are texts out there about Clover versus OpenCore.

by rproffitt Moderator In reply to Installing unsupported ve ...

I'd start at https://dortania.github.io/OpenCore-Install-Guide/

-> But why do this at all? I know folk that continue to use even older Apple computers without the latest Mac OS.

What would I do? Nothing. I would not fret about it either.

Collapse -

Good points

by birdmantd Moderator In reply to There are texts out there ...

rproffitt brought up some good points. OP, are there any specific features or programs you are running that require the OS update or do you just want the newer OS out of principle ??

Related Discussions

Related Forums